x-pegasus:
  apiLang: python
  createdBy: yifan.wang
  createdOn: 05-18-23T05:25:31Z
pegasus: '5.0'
sites:
- name: local
  arch: x86_64
  os.type: linux
  directories:
  - type: sharedScratch
    path: /atlas/user/scratch/yifan.wang/pycbc-tmp_n3jrxa90/local-site-scratch
    sharedFileSystem: false
    fileServers:
    - url: file:///atlas/user/scratch/yifan.wang/pycbc-tmp_n3jrxa90/local-site-scratch
      operation: all
  profiles:
    condor:
      accounting_group: cbc.imp.search
      +InitialRequestMemory: '3980'
      request_memory: ifthenelse( (LastHoldReasonCode=!=34 && LastHoldReasonCode=!=26),
        InitialRequestMemory, int(1.5 * NumJobStarts * MemoryUsage) )
      periodic_release: ((HoldReasonCode =?= 34) || (HoldReasonCode =?= 26))
      request_cpus: '1'
      getenv: 'True'
    pegasus:
      data.configuration: nonsharedfs
      transfer.bypass.input.staging: 'true'
      style: condor
- name: condorpool_symlink
  arch: x86_64
  os.type: linux
  directories: []
  profiles:
    condor:
      accounting_group: cbc.imp.search
      +InitialRequestMemory: '3980'
      request_memory: ifthenelse( (LastHoldReasonCode=!=34 && LastHoldReasonCode=!=26),
        InitialRequestMemory, int(1.5 * NumJobStarts * MemoryUsage) )
      periodic_release: ((HoldReasonCode =?= 34) || (HoldReasonCode =?= 26))
      request_cpus: '1'
      +OpenScienceGrid: 'False'
      should_transfer_files: 'Yes'
      when_to_transfer_output: ON_EXIT_OR_EVICT
      getenv: 'True'
      +DESIRED_Sites: '"nogrid"'
      +IS_GLIDEIN: '"False"'
      +flock_local: 'True'
    pegasus:
      style: condor
      transfer.links: 'true'
      data.configuration: nonsharedfs
      transfer.bypass.input.staging: 'true'
      auxillary.local: 'true'
    dagman:
      retry: '2'
- name: condorpool_copy
  arch: x86_64
  os.type: linux
  directories: []
  profiles:
    condor:
      accounting_group: cbc.imp.search
      +InitialRequestMemory: '3980'
      request_memory: ifthenelse( (LastHoldReasonCode=!=34 && LastHoldReasonCode=!=26),
        InitialRequestMemory, int(1.5 * NumJobStarts * MemoryUsage) )
      periodic_release: ((HoldReasonCode =?= 34) || (HoldReasonCode =?= 26))
      request_cpus: '1'
      +OpenScienceGrid: 'False'
      should_transfer_files: 'Yes'
      when_to_transfer_output: ON_EXIT_OR_EVICT
      getenv: 'True'
      +DESIRED_Sites: '"nogrid"'
      +IS_GLIDEIN: '"False"'
      +flock_local: 'True'
    pegasus:
      style: condor
      data.configuration: nonsharedfs
      transfer.bypass.input.staging: 'true'
      auxillary.local: 'true'
    dagman:
      retry: '2'
- name: condorpool_shared
  arch: x86_64
  os.type: linux
  directories:
  - type: sharedScratch
    path: /work/yifan.wang/search-high-spin/inj-t10-1p4spin0p9/runs/O2/2/cpool-site-scratch
    sharedFileSystem: false
    fileServers:
    - url: file:///work/yifan.wang/search-high-spin/inj-t10-1p4spin0p9/runs/O2/2/cpool-site-scratch
      operation: all
  profiles:
    condor:
      accounting_group: cbc.imp.search
      +InitialRequestMemory: '3980'
      request_memory: ifthenelse( (LastHoldReasonCode=!=34 && LastHoldReasonCode=!=26),
        InitialRequestMemory, int(1.5 * NumJobStarts * MemoryUsage) )
      periodic_release: ((HoldReasonCode =?= 34) || (HoldReasonCode =?= 26))
      request_cpus: '1'
      +OpenScienceGrid: 'False'
      should_transfer_files: 'Yes'
      when_to_transfer_output: ON_EXIT_OR_EVICT
      getenv: 'True'
      +DESIRED_Sites: '"nogrid"'
      +IS_GLIDEIN: '"False"'
      +flock_local: 'True'
    pegasus:
      style: condor
      data.configuration: sharedfs
      transfer.bypass.input.staging: 'true'
      auxillary.local: 'true'
    dagman:
      retry: '2'
    env:
      PEGASUS_HOME: /software/tools/pegasus/5.0/
- name: osg
  arch: x86_64
  os.type: linux
  directories: []
  profiles:
    condor:
      accounting_group: cbc.imp.search
      +InitialRequestMemory: '3980'
      request_memory: ifthenelse( (LastHoldReasonCode=!=34 && LastHoldReasonCode=!=26),
        InitialRequestMemory, int(1.5 * NumJobStarts * MemoryUsage) )
      periodic_release: ((HoldReasonCode =?= 34) || (HoldReasonCode =?= 26))
      request_cpus: '1'
      should_transfer_files: 'Yes'
      when_to_transfer_output: ON_EXIT_OR_EVICT
      +OpenScienceGrid: 'True'
      getenv: 'False'
      +InitializeModulesEnv: 'False'
      +SingularityCleanEnv: 'True'
      Requirements: (HAS_SINGULARITY =?= TRUE) && (HAS_LIGO_FRAMES =?= True) && (IS_GLIDEIN
        =?= True)
      +SingularityImage: '"/cvmfs/singularity.opensciencegrid.org/pycbc/pycbc-el7:v1.18.0"'
    pegasus:
      style: condor
      data.configuration: nonsharedfs
      transfer.bypass.input.staging: 'true'
    dagman:
      retry: '4'
    env:
      LAL_DATA_PATH: /cvmfs/oasis.opensciencegrid.org/ligo/sw/pycbc/lalsuite-extra/current/share/lalsimulation
